# Uses of Class
com.opensymphony.module.sitemesh.Config

Packages that use Config
Package
Description
com.opensymphony.module.sitemesh
com.opensymphony.module.sitemesh.factory
com.opensymphony.module.sitemesh.mapper
com.opensymphony.module.sitemesh.taglib.page

## Uses of Config in com.opensymphony.module.sitemesh

Methods in com.opensymphony.module.sitemesh with parameters of type Config
Modifier and Type
Method
Description
`static Factory`
Factory.`getInstance(Config config)`
Entry-point for obtaining singleton instance of Factory.
`void`
DecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Initialize the mapper.

## Uses of Config in com.opensymphony.module.sitemesh.factory

Fields in com.opensymphony.module.sitemesh.factory declared as Config
Modifier and Type
Field
Description
`protected Config`
BaseFactory.`config`
ServletConfig or FilterConfig.
Constructors in com.opensymphony.module.sitemesh.factory with parameters of type Config
Modifier
Constructor
Description
`protected`
`BaseFactory(Config config)`
Constructor for default implementation of Factory.
``
`DefaultFactory(Config config)`

## Uses of Config in com.opensymphony.module.sitemesh.mapper

Fields in com.opensymphony.module.sitemesh.mapper declared as Config
Modifier and Type
Field
Description
`protected Config`
AbstractDecoratorMapper.`config`
`private Config`
ConfigLoader.`config`
Methods in com.opensymphony.module.sitemesh.mapper with parameters of type Config
Modifier and Type
Method
Description
`void`
AbstractDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Set parent.
`void`
AgentDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
ConfigDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Create new ConfigLoader using '/WEB-INF/decorators.xml' file.
`void`
CookieDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
FrameSetDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
LanguageDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
NullDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Does nothing.
`void`
OSDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Init initializes the OSDecoratorMapper object by setting the parent DecoratorMapper, and loading the initialization properties.
`void`
PageDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
ParameterDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
PrintableDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
RobotDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
SessionDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Constructors in com.opensymphony.module.sitemesh.mapper with parameters of type Config
Modifier
Constructor
Description
``
`ConfigLoader(String configFileName, Config config)`
Create new ConfigLoader using supplied filename and config.

## Uses of Config in com.opensymphony.module.sitemesh.taglib.page

Fields in com.opensymphony.module.sitemesh.taglib.page declared as Config
Modifier and Type
Field
Description
`private Config`
ApplyDecoratorTag.`config`